# -*- coding: utf-8 -*-
from setuphelpers import *

# Declaring specific app values (TO CHANGE)
package_name = "seafile-gui"


def install():
    # Installing the package
    print("Installing %s" % package_name)
    install_apt("apt-transport-https")
    run("wget https://linux-clients.seafile.com/seafile.asc -O /usr/share/keyrings/seafile-keyring.asc")
    run(
        "bash -c \"echo 'deb [arch=amd64 signed-by=/usr/share/keyrings/seafile-keyring.asc] https://linux-clients.seafile.com/seafile-deb/$(lsb_release -c -s)/ stable main' > /etc/apt/sources.list.d/seafile.list\""
    )
    install_apt(package_name)


def uninstall():
    # Uninstalling the package
    print("Uninstalling %s" % package_name)
    uninstall_apt(package_name, autoremove=True)
